Fórum Debian

Versão Completa: Programa para converter .avi para vcd dvd etc
Você está atualmente visualizando uma versão simplificada do conteúdo. Visualizar a versão completa com formatação.
Bom dia!

Estou precisando converter um vídeo que tá com formato .avi para gravar num dvd e assistir no mesmo aparelho...
Dessa forma, tentei instalar o avidemux (tanto pelo apt quanto por um pacote .deb que baixei da net), mas sempre dá um problema com dependência ...

Citar:Marcelo:/# apt-get install avidemux
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Os pacotes extra a seguir serão instalados:
libfaac0 libfaad0 liblame0 libxvidcore4
Pacotes recomendados :
mjpegtools toolame
Os NOVOS pacotes a seguir serão instalados:
avidemux libfaac0 libfaad0 liblame0 libxvidcore4
0 pacotes atualizados, 5 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
É preciso fazer o download de 2725kB/3139kB de arquivos.
Depois de desempacotamento, 7963kB adicionais de espaço em disco serão usados.
Quer continuar [S/n] ? S
AVISO : Os pacotes a seguir não podem ser autenticados !
libfaac0 libfaad0 liblame0 libxvidcore4 avidemux
Instalar estes pacotes sem verificação [s/N] ? s
Err http://www.debian-multimedia.org etch/main libxvidcore4 2:1.1.2-0.1
403 Forbidden

Obtendo:1 http://www.debian-multimedia.org etch/main avidemux 1:2.3.0-0.0 [2509kB]
Baixados 2509kB em 1m46s (23,6kB/s)
Falha ao baixar http://www.debian-multimedia.org/pool/main/x/xvidcore/libxvidcore4_1.1.2-0.1_i386.deb 403 Forbidden
E: Impossível pegar alguns arquivos, talvez rodar apt-get update ou tentar com --fix-missing?


Gostaria de saber se existe outro software que eu poderia usar, ou se dá pra resolver o problema com a dependência...(existe outra forma de instalar a lib?)

Outra coisa, existe outro repositório semelhante a esse abaixo, pois não consigo resolver o problema com a chave pública...

deb http://www.debian-multimedia.org/ etch main

Citar:Marcelo:/# apt-get update
Obtendo:1 http://www.debian-multimedia.org etch Release.gpg [189B]
Obtendo:2 http://www.debian-multimedia.org etch Release [5535B]
Ign http://www.debian-multimedia.org etch Release
Obtendo:3 http://www.debian-multimedia.org etch/main Packages [41,6kB]
Baixados 47,4kB em 5s (8066B/s)
Lendo Lista de Pacotes... Pronto
W: GPG error: http://www.debian-multimedia.org etch Release: As assinaturas a seguir não puderam ser verificadas devido a chave pública não estar disponível : NO_PUBKEY 07DC563D1F41B907
W: Você terá que executar apt-get update para corrigir esses arquivos faltosos
uma alternativa e tentar utilizar o devede:
http://www.rastersoft.com/programas/devede.html
pode usar o kdenlive gosei bastante da para instalar pelo apt-get
dmatrix, vou dar uma olhada no link que vc sugeriu...

mstr, eu uso o etch com gnome.....o kdelive não roda apenas com kde?
ah, vocês sabem se tem como instalar essas libs liibfaac0 libfaad0 liblame0 libxvidcore4 de outra forma que não seja pelo apt? ou se existe outra fonte de repositório que não seja http://www.debian-multimedia.org etch/main ?
Acho que só tá faltando inatalar a libxvidcore4 libxvidcore4-dev para concluir a instalação do devede....mas porque não vai???

Citar:Marcelo:/# apt-get install devede
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Os pacotes extra a seguir serão instalados:
libavcodeccvs51 libavformatcvs51 libavutilcvs49 libfaac0 libfaad0 liblame0
libpostproccvs51 libx264-54 libxvidcore4 mencoder
Pacotes sugeridos :
libdvdcss mplayer-doc
Os NOVOS pacotes a seguir serão instalados:
devede libavcodeccvs51 libavformatcvs51 libavutilcvs49 libfaac0 libfaad0
liblame0 libpostproccvs51 libx264-54 libxvidcore4 mencoder
0 pacotes atualizados, 11 pacotes novos instalados, 0 a serem removidos e 574 não atualizados.
É preciso fazer o download de 3362kB/6297kB de arquivos.
Depois de desempacotamento, 14,2MB adicionais de espaço em disco serão usados.
Quer continuar [S/n] ? S
AVISO : Os pacotes a seguir não podem ser autenticados !
libavutilcvs49 libfaac0 libfaad0 liblame0 libx264-54 libxvidcore4
libavcodeccvs51 libavformatcvs51 libpostproccvs51 mencoder devede
Instalar estes pacotes sem verificação [s/N] ? s
Err http://www.debian-multimedia.org etch/main libxvidcore4 2:1.1.2-0.1
403 Forbidden
Obtendo:1 http://www.debian-multimedia.org etch/main mencoder 1:1.0-rc1svn20070225-0.3 [2391kB]
Obtendo:2 http://www.debian-multimedia.org etch/main devede 2.12-0.0 [755kB]
Baixados 3146kB em 2m5s (25,2kB/s)
Falha ao baixar http://www.debian-multimedia.org/pool/m ... 1_i386.deb 403 Forbidden
E: Impossível pegar alguns arquivos, talvez rodar apt-get update ou tentar com --fix-missing?
Citar:Marcelo:/# apt-cache search libxvidcore4
libxvidcore4 - High quality ISO MPEG4 codec library
libxvidcore4-dev - High quality ISO MPEG4 codec library -- development files
Marcelo:/# apt-get install libxvidcore4-dev
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Os pacotes extra a seguir serão instalados:
libxvidcore4
Os NOVOS pacotes a seguir serão instalados:
libxvidcore4 libxvidcore4-dev
0 pacotes atualizados, 2 pacotes novos instalados, 0 a serem removidos e 574 não atualizados.
É preciso fazer o download de 483kB de arquivos.
Depois de desempacotamento, 1663kB adicionais de espaço em disco serão usados.
Quer continuar [S/n] ? S
AVISO : Os pacotes a seguir não podem ser autenticados !
libxvidcore4 libxvidcore4-dev
Instalar estes pacotes sem verificação [s/N] ? s
Err http://www.debian-multimedia.org etch/main libxvidcore4 2:1.1.2-0.1
403 Forbidden
Err http://www.debian-multimedia.org etch/main libxvidcore4-dev 2:1.1.2-0.1
403 Forbidden
Falha ao baixar http://www.debian-multimedia.org/pool/m ... 1_i386.deb 403 Forbidden
Falha ao baixar http://www.debian-multimedia.org/pool/m ... 1_i386.deb 403 Forbidden
E: Impossível pegar alguns arquivos, talvez rodar apt-get update ou tentar com --fix-missing?
algo está bloqueando o download, tente baixar o pacote diretamente daqui:
ftp://ftp.uni-kl.de/debian-multimedia/p ... /xvidcore/
e depois instale com:
# dpkg -i libxvidcorexxxxx

ou tente adicionar no sources um outro mirror desta lista:
http://www.debian-multimedia.org/mirrors.html
obrigado, dmatrix!
Agora funcionou e eu instalei o devede...só para constar, usei a primeira dica..
Uma última dúvida: mirror que vc passou substitui o mirror
http://www.debian-multimedia.org etch/main ??? será que tem pacotes/softwares semelhantes?
Obrigado!
sim se não me engano não só os pacotes como tb as versões são as mesmas.
URL de Referência